searchData={"items":[{"type":"module","title":"FireblocksSdk","doc":"Un-official Fireblocks Elixir API Client. For full API spec visit [https://docs.fireblocks.com/api/swagger-ui](https://docs.fireblocks.com/api/swagger-ui).\n\n```\n# config/dev.exs\nconfig :fireblocks_sdk,\n  apiKey: \"\",\n  apiSecret: \"\"\"\n  -----BEGIN RSA PRIVATE KEY-----\n  --api-secret-key-goes-here--\n  -----END RSA PRIVATE KEY-----\n  \"\"\"\n```","ref":"FireblocksSdk.html"},{"type":"function","title":"FireblocksSdk.audits/1","doc":"Get audit logs by day.","ref":"FireblocksSdk.html#audits/1"},{"type":"function","title":"FireblocksSdk.estimate_network_fee/1","doc":"","ref":"FireblocksSdk.html#estimate_network_fee/1"},{"type":"function","title":"FireblocksSdk.get_supported_assets/0","doc":"Gets all assets that are currently supported by Fireblocks\n\n```\niex> FireblocksSdk.get_supported_assets()\n```","ref":"FireblocksSdk.html#get_supported_assets/0"},{"type":"function","title":"FireblocksSdk.get_users/0","doc":"List all users for the workspace.\n\nPlease note that this endpoint is available only for API keys with Admin permissions.","ref":"FireblocksSdk.html#get_users/0"},{"type":"module","title":"FireblocksSdk.Api.Asset","doc":"","ref":"FireblocksSdk.Api.Asset.html"},{"type":"function","title":"FireblocksSdk.Api.Asset.register/2","doc":"Register a new asset to a workspace and return the newly created asset's details. Currently supported chains are:\n\n- EVM based chains\n- Stellar\n- Algorand\n- TRON\n- NEAR\n- Solana\n\n```\n  FireblocksSdk.Api.Asset.register([\n    blockchainId: \"ETH_TEST3\",\n    address: \"0xe7A9as1oa38bc4da0248s179E30aa94CcF453991\",\n    symbol: \"TST3\"\n  ])\n```\n\nOptions: \n* `:blockchainId` (`t:String.t/0`)\n\n* `:address` (`t:String.t/0`)\n\n* `:symbol` (`t:String.t/0`)","ref":"FireblocksSdk.Api.Asset.html#register/2"},{"type":"function","title":"FireblocksSdk.Api.Asset.set_price/2","doc":"Set asset price for the given asset id. Returns the asset price response.\n\n```\n  FireblocksSdk.Api.Asset.register([\n    assetId: \"ETH_TEST3\",\n    currency: \"USD\",\n    price: 1000\n  ])\n```\n\nOptions: \n* `:assetId` (`t:String.t/0`)\n\n* `:currency` (`t:String.t/0`)\n\n* `:price`","ref":"FireblocksSdk.Api.Asset.html#set_price/2"},{"type":"module","title":"FireblocksSdk.Api.Contract","doc":"","ref":"FireblocksSdk.Api.Contract.html"},{"type":"function","title":"FireblocksSdk.Api.Contract.add_asset/2","doc":"Adds an asset to an existing contract.\n\n```\n  FireblocksSdk.Api.Contract.add_asset([\n    contractId: \"CONTRACT_ID\",\n    assetId: \"ASSET_ID\",\n    address: \"ADDRESS\",\n  ])\n```\n\nOptions:\n* `:contractId` (`t:String.t/0`)\n\n* `:assetId` (`t:String.t/0`)\n\n* `:address` (`t:String.t/0`)\n\n* `:tag` (`t:String.t/0`)","ref":"FireblocksSdk.Api.Contract.html#add_asset/2"},{"type":"function","title":"FireblocksSdk.Api.Contract.create/2","doc":"Creates a new contract.","ref":"FireblocksSdk.Api.Contract.html#create/2"},{"type":"function","title":"FireblocksSdk.Api.Contract.delete/1","doc":"Delete a contract","ref":"FireblocksSdk.Api.Contract.html#delete/1"},{"type":"function","title":"FireblocksSdk.Api.Contract.delete_asset/2","doc":"Delete a contract asset","ref":"FireblocksSdk.Api.Contract.html#delete_asset/2"},{"type":"function","title":"FireblocksSdk.Api.Contract.find_contract_asset/2","doc":"Returns a contract asset by ID.","ref":"FireblocksSdk.Api.Contract.html#find_contract_asset/2"},{"type":"function","title":"FireblocksSdk.Api.Contract.get/1","doc":"Returns a contract by id.","ref":"FireblocksSdk.Api.Contract.html#get/1"},{"type":"function","title":"FireblocksSdk.Api.Contract.list/0","doc":"Gets a list of contracts.","ref":"FireblocksSdk.Api.Contract.html#list/0"},{"type":"module","title":"FireblocksSdk.Api.ExchangeAccount","doc":"","ref":"FireblocksSdk.Api.ExchangeAccount.html"},{"type":"function","title":"FireblocksSdk.Api.ExchangeAccount.convert/2","doc":"Convert exchange account funds from the source asset to the destination asset. Coinbase (USD to USDC, USDC to USD) and Bitso (MXN to USD) are supported conversions.\n\nOptions:\n* `:exchangeId` (`t:String.t/0`) - Required.\n\n* `:amount` (`t:String.t/0`) - Required.\n\n* `:srcAsset` (`t:String.t/0`) - Required.\n\n* `:destAsset` (`t:String.t/0`) - Required.","ref":"FireblocksSdk.Api.ExchangeAccount.html#convert/2"},{"type":"function","title":"FireblocksSdk.Api.ExchangeAccount.get_account/1","doc":"Find a specific exchange account.","ref":"FireblocksSdk.Api.ExchangeAccount.html#get_account/1"},{"type":"function","title":"FireblocksSdk.Api.ExchangeAccount.get_accounts/1","doc":"List all exchange accounts.\n\nOptions: \n* `:before` (`t:String.t/0`)\n\n* `:after` (`t:String.t/0`)\n\n* `:limit` (`t:non_neg_integer/0`) - The default value is `3`.","ref":"FireblocksSdk.Api.ExchangeAccount.html#get_accounts/1"},{"type":"function","title":"FireblocksSdk.Api.ExchangeAccount.get_exchange_asset/2","doc":"Find an asset for an exchange account.","ref":"FireblocksSdk.Api.ExchangeAccount.html#get_exchange_asset/2"},{"type":"function","title":"FireblocksSdk.Api.ExchangeAccount.transfer/2","doc":"Transfer funds between trading accounts under the same exchange account.\n\nOptions:\n* `:exchangeId` (`t:String.t/0`) - Required.\n\n* `:asset` (`t:String.t/0`) - Required.\n\n* `:amount` (`t:String.t/0`) - Required.\n\n* `:sourceType` - Required.\n\n* `:destType` - Required.","ref":"FireblocksSdk.Api.ExchangeAccount.html#transfer/2"},{"type":"module","title":"FireblocksSdk.Api.ExternalWallet","doc":"","ref":"FireblocksSdk.Api.ExternalWallet.html"},{"type":"function","title":"FireblocksSdk.Api.ExternalWallet.add_asset/2","doc":"Add asset to external wallet.\n\nOptions:\n* `:walletId` (`t:String.t/0`) - Required.\n\n* `:customerRefId` (`t:String.t/0`) - Required.","ref":"FireblocksSdk.Api.ExternalWallet.html#add_asset/2"},{"type":"function","title":"FireblocksSdk.Api.ExternalWallet.create/2","doc":"Creates a new external wallet with the requested name.\n\nOptions:\n* `:name` (`t:String.t/0`) - Required.\n\n* `:customerRefId` (`t:String.t/0`)","ref":"FireblocksSdk.Api.ExternalWallet.html#create/2"},{"type":"function","title":"FireblocksSdk.Api.ExternalWallet.get_wallet/1","doc":"Returns all assets in an external wallet by ID.","ref":"FireblocksSdk.Api.ExternalWallet.html#get_wallet/1"},{"type":"function","title":"FireblocksSdk.Api.ExternalWallet.get_wallet_asset/2","doc":"Get an asset from external wallet.","ref":"FireblocksSdk.Api.ExternalWallet.html#get_wallet_asset/2"},{"type":"function","title":"FireblocksSdk.Api.ExternalWallet.get_wallets/0","doc":"Gets a list of external wallets.\n\nNote: BTC-based assets belonging to whitelisted addresses cannot be retrieved between 00:00 UTC and 00:01 UTC daily due to third-party provider, Blockchair, being unavailable for this 60 second period. Please wait until the next minute to retrieve BTC-based assets.","ref":"FireblocksSdk.Api.ExternalWallet.html#get_wallets/0"},{"type":"function","title":"FireblocksSdk.Api.ExternalWallet.remove/1","doc":"Deletes an external wallet by ID.","ref":"FireblocksSdk.Api.ExternalWallet.html#remove/1"},{"type":"function","title":"FireblocksSdk.Api.ExternalWallet.remove_asset/2","doc":"Deletes a whitelisted address (for an asset) from an external wallet.","ref":"FireblocksSdk.Api.ExternalWallet.html#remove_asset/2"},{"type":"function","title":"FireblocksSdk.Api.ExternalWallet.set_customer_ref_id/2","doc":"Sets an AML/KYT customer reference ID for the specific external wallet.","ref":"FireblocksSdk.Api.ExternalWallet.html#set_customer_ref_id/2"},{"type":"module","title":"FireblocksSdk.Api.FiatAccount","doc":"","ref":"FireblocksSdk.Api.FiatAccount.html"},{"type":"function","title":"FireblocksSdk.Api.FiatAccount.deposit_from_linked_dda/3","doc":"Deposits funds from the linked DDA.","ref":"FireblocksSdk.Api.FiatAccount.html#deposit_from_linked_dda/3"},{"type":"function","title":"FireblocksSdk.Api.FiatAccount.get_account/1","doc":"Find a specific fiat account.","ref":"FireblocksSdk.Api.FiatAccount.html#get_account/1"},{"type":"function","title":"FireblocksSdk.Api.FiatAccount.get_accounts/0","doc":"List fiat accounts.","ref":"FireblocksSdk.Api.FiatAccount.html#get_accounts/0"},{"type":"function","title":"FireblocksSdk.Api.FiatAccount.redeem_to_linked_dda/3","doc":"Redeems funds to the linked DDA.","ref":"FireblocksSdk.Api.FiatAccount.html#redeem_to_linked_dda/3"},{"type":"module","title":"FireblocksSdk.Api.GasStation","doc":"","ref":"FireblocksSdk.Api.GasStation.html"},{"type":"function","title":"FireblocksSdk.Api.GasStation.get_settings/0","doc":"Returns gas station settings and ETH balance.","ref":"FireblocksSdk.Api.GasStation.html#get_settings/0"},{"type":"function","title":"FireblocksSdk.Api.GasStation.get_settings_by_asset/1","doc":"Returns gas station settings and balances for a requested asset.\n\n```\nFireblocksSdk.Api.GasStation.get_settings_by_asset(\"ETH\")\n```\n\nOptions:\n  - `asset`: `String.t()`","ref":"FireblocksSdk.Api.GasStation.html#get_settings_by_asset/1"},{"type":"function","title":"FireblocksSdk.Api.GasStation.update_settings/2","doc":"Configures gas station settings for ETH or given asset.\n\n```\nFireblocksSdk.Api.GasStation.update_settings([\n  assetId: \"ETH\",\n  gasThreshold: \"0.005\",\n  gasCap: \"0.003\"\n])\n```\n\nOptions:\n* `:gasThreshold` (`t:String.t/0`) - Required.\n\n* `:gasCap` (`t:String.t/0`) - Required.\n\n* `:maxGasPrice` (`t:String.t/0`)\n\n* `:assetId` (`t:String.t/0`)","ref":"FireblocksSdk.Api.GasStation.html#update_settings/2"},{"type":"module","title":"FireblocksSdk.Api.InternalWallet","doc":"","ref":"FireblocksSdk.Api.InternalWallet.html"},{"type":"function","title":"FireblocksSdk.Api.InternalWallet.add_asset/2","doc":"Add asset to internal wallet.\n\nOptions:\n* `:walletId` (`t:String.t/0`) - Required.\n\n* `:customerRefId` (`t:String.t/0`) - Required.","ref":"FireblocksSdk.Api.InternalWallet.html#add_asset/2"},{"type":"function","title":"FireblocksSdk.Api.InternalWallet.create/2","doc":"Creates a new internal wallet with the requested name.\n\nOptions:\n* `:name` (`t:String.t/0`) - Required.\n\n* `:customerRefId` (`t:String.t/0`)","ref":"FireblocksSdk.Api.InternalWallet.html#create/2"},{"type":"function","title":"FireblocksSdk.Api.InternalWallet.get_wallet/1","doc":"Returns all assets in an internal wallet by ID.","ref":"FireblocksSdk.Api.InternalWallet.html#get_wallet/1"},{"type":"function","title":"FireblocksSdk.Api.InternalWallet.get_wallet_asset/2","doc":"Get an asset from internal wallet.","ref":"FireblocksSdk.Api.InternalWallet.html#get_wallet_asset/2"},{"type":"function","title":"FireblocksSdk.Api.InternalWallet.get_wallets/0","doc":"Gets a list of internal wallets.\n\nNote: BTC-based assets belonging to whitelisted addresses cannot be retrieved between 00:00 UTC and 00:01 UTC daily due to third-party provider, Blockchair, being unavailable for this 60 second period. Please wait until the next minute to retrieve BTC-based assets.","ref":"FireblocksSdk.Api.InternalWallet.html#get_wallets/0"},{"type":"function","title":"FireblocksSdk.Api.InternalWallet.remove/1","doc":"Deletes an internal wallet by ID.","ref":"FireblocksSdk.Api.InternalWallet.html#remove/1"},{"type":"function","title":"FireblocksSdk.Api.InternalWallet.remove_asset/2","doc":"Deletes a whitelisted address (for an asset) from an internal wallet.","ref":"FireblocksSdk.Api.InternalWallet.html#remove_asset/2"},{"type":"function","title":"FireblocksSdk.Api.InternalWallet.set_customer_ref_id/2","doc":"Sets an AML/KYT customer reference ID for the specific internal wallet.","ref":"FireblocksSdk.Api.InternalWallet.html#set_customer_ref_id/2"},{"type":"module","title":"FireblocksSdk.Api.Management","doc":"","ref":"FireblocksSdk.Api.Management.html"},{"type":"function","title":"FireblocksSdk.Api.Management.create_api_user/1","doc":"Create API User - admin permission is required\n\nOptions: \n* `:role` (`t:String.t/0`) - Required.\n\n* `:name` (`t:String.t/0`) - Required.\n\n* `:csrPem` (`t:String.t/0`) - only for user with signing capability\n\n* `:coSignerSetupType` (`t:String.t/0`)\n\n* `:coSignerSetupIsFirstUser` (`t:boolean/0`) - The default value is `false`.","ref":"FireblocksSdk.Api.Management.html#create_api_user/1"},{"type":"function","title":"FireblocksSdk.Api.Management.create_console_user/1","doc":"Create Console User - admin permission is required\n\nOptions: \n* `:firstName` (`t:String.t/0`) - Required.\n\n* `:lastName` (`t:String.t/0`) - Required.\n\n* `:role` (`t:String.t/0`) - Required.\n\n* `:email` (`t:String.t/0`) - Required.","ref":"FireblocksSdk.Api.Management.html#create_console_user/1"},{"type":"function","title":"FireblocksSdk.Api.Management.get_api_user_whitelist_ip_addresses/1","doc":"Get API user whitelist ip addresses from the current tenant","ref":"FireblocksSdk.Api.Management.html#get_api_user_whitelist_ip_addresses/1"},{"type":"function","title":"FireblocksSdk.Api.Management.get_api_users/0","doc":"Get api users from the current tenant","ref":"FireblocksSdk.Api.Management.html#get_api_users/0"},{"type":"function","title":"FireblocksSdk.Api.Management.get_console_users/0","doc":"Get console users from the current tenant","ref":"FireblocksSdk.Api.Management.html#get_console_users/0"},{"type":"function","title":"FireblocksSdk.Api.Management.reset_device/1","doc":"Reset device","ref":"FireblocksSdk.Api.Management.html#reset_device/1"},{"type":"module","title":"FireblocksSdk.Api.Payment","doc":"","ref":"FireblocksSdk.Api.Payment.html"},{"type":"function","title":"FireblocksSdk.Api.Payment.get_config/1","doc":"Get XB settlement configuration by id","ref":"FireblocksSdk.Api.Payment.html#get_config/1"},{"type":"function","title":"FireblocksSdk.Api.Payment.get_configs/0","doc":"Get all coross-border (XB) settlement configurations.","ref":"FireblocksSdk.Api.Payment.html#get_configs/0"},{"type":"function","title":"FireblocksSdk.Api.Payment.get_settlement_flow/1","doc":"Get a specific cross-border (XB) settlement flow.","ref":"FireblocksSdk.Api.Payment.html#get_settlement_flow/1"},{"type":"module","title":"FireblocksSdk.Api.Transaction","doc":"","ref":"FireblocksSdk.Api.Transaction.html"},{"type":"function","title":"FireblocksSdk.Api.Transaction.cancel/2","doc":"Cancels a transaction by ID.\n\n- `txId`: Fireblocks transaction id","ref":"FireblocksSdk.Api.Transaction.html#cancel/2"},{"type":"function","title":"FireblocksSdk.Api.Transaction.create_transaction/2","doc":"Creates a new transaction with the specified options\n\n```\nFireblocksSdk.Api.Transaction.create_transaction([\n  assetId: \"ETH\",\n  operation: :transfer, # :mint | :burn | :raw\n  source: %{\n    type: :vault_account,\n    id: \"1\"\n  },\n  destination: %{\n    type: :vault_account,\n    id: \"2\"\n  },\n  amount: \"0.005\",\n  note: \"donation!\"\n])\n```\n\nSupported options:\n* `:assetId` (`t:String.t/0`)\n\n* `:source` (`t:map/0`)\n\n  * `:type`\n\n  * `:id` (`t:String.t/0`)\n\n  * `:virtualId` (`t:String.t/0`)\n\n  * `:virtualType`\n\n  * `:address` (`t:String.t/0`)\n\n* `:destination` (`t:map/0`)\n\n  * `:type`\n\n  * `:id` (`t:String.t/0`)\n\n  * `:virtualId` (`t:String.t/0`)\n\n  * `:virtualType`\n\n  * `:oneTimeAddress` (`t:map/0`)\n\n    * `:address` (`t:String.t/0`)\n\n    * `:tag` (`t:String.t/0`)\n\n* `:amount` (`t:String.t/0`)\n\n* `:operation`\n\n* `:fee` (`t:String.t/0`)\n\n* `:feeLevel`\n\n* `:failOnLowFee` (`t:boolean/0`)\n\n* `:maxFee` (`t:String.t/0`)\n\n* `:priorityFee` (`t:String.t/0`)\n\n* `:gasPrice` (`t:String.t/0`)\n\n* `:gasLimit` (`t:String.t/0`)\n\n* `:note` (`t:String.t/0`)\n\n* `:cpuStaking` (`t:integer/0`)\n\n* `:networkStaking` (`t:integer/0`)\n\n* `:autoStaking` (`t:boolean/0`)\n\n* `:customerRefId` (`t:String.t/0`)\n\n* `:extraParameters` (`t:map/0`)\n\n* `:destinations` (`t:map/0`)\n\n  * `:amount` (`t:String.t/0`)\n\n  * `:destination` (`t:map/0`)\n\n    * `:type`\n\n    * `:id` (`t:String.t/0`)\n\n    * `:oneTimeAddress` (`t:map/0`)\n\n      * `:address` (`t:String.t/0`)\n\n      * `:tag` (`t:String.t/0`)\n\n* `:replaceTxByHash` (`t:String.t/0`)\n\n* `:externalTxId` (`t:String.t/0`)\n\n* `:treatAsGrossAmount` (`t:boolean/0`)\n\n* `:forceSweep` (`t:boolean/0`)\n\n* `:feePayerInfo` (`t:map/0`)\n\n  * `:feePayerAccountId` (`t:String.t/0`)","ref":"FireblocksSdk.Api.Transaction.html#create_transaction/2"},{"type":"function","title":"FireblocksSdk.Api.Transaction.drop/2","doc":"Drops a stuck ETH transaction and creates a replacement transaction.\n\n```\n  FireblocksSdk.Api.Transaction.drop([\n    txId: \"fireblock-tx-id\",\n    feeLevel: :medium,\n    gasFee: \"\"\n  ])\n```\n\nOptions: \n* `:txId` (`t:String.t/0`) - Required.\n\n* `:feeLevel`\n\n* `:gasFee` (`t:String.t/0`)","ref":"FireblocksSdk.Api.Transaction.html#drop/2"},{"type":"function","title":"FireblocksSdk.Api.Transaction.estimate_fee/2","doc":"Estimates the transaction fee for a transaction request.\n\nNote: Supports all Fireblocks assets except ZCash (ZEC).","ref":"FireblocksSdk.Api.Transaction.html#estimate_fee/2"},{"type":"function","title":"FireblocksSdk.Api.Transaction.freeze/2","doc":"Freezes a transaction by ID.\n\n- `txId`: Fireblocks transaction id","ref":"FireblocksSdk.Api.Transaction.html#freeze/2"},{"type":"function","title":"FireblocksSdk.Api.Transaction.get_asset_fee/1","doc":"Gets the estimated required fee for an asset. For UTXO based assets, the response will contain the suggested fee per byte, for ETH/ETC based assets, the suggested gas price, and for XRP/XLM, the transaction fee.\n\n- `asset`: The asset for which to estimate the fee","ref":"FireblocksSdk.Api.Transaction.html#get_asset_fee/1"},{"type":"function","title":"FireblocksSdk.Api.Transaction.get_external_tx_id/1","doc":"Returns transaction by external transaction ID.\n\n- `externalTxId`: The external ID of the transaction to return","ref":"FireblocksSdk.Api.Transaction.html#get_external_tx_id/1"},{"type":"function","title":"FireblocksSdk.Api.Transaction.get_transaction_by_id/1","doc":"Returns a transaction by ID.\n\n- `txId`: Fireblocks transaction id","ref":"FireblocksSdk.Api.Transaction.html#get_transaction_by_id/1"},{"type":"function","title":"FireblocksSdk.Api.Transaction.set_confirmation_threshold/2","doc":"Overrides the required number of confirmations for transaction completion by transaction ID.\n\nOptions:\n* `:type`\n\n* `:id` (`t:String.t/0`) - Fireblocks transaction id or blockchain transaction hash\n\n* `:numOfConfirmations` (`t:integer/0`) - The default value is `0`.","ref":"FireblocksSdk.Api.Transaction.html#set_confirmation_threshold/2"},{"type":"function","title":"FireblocksSdk.Api.Transaction.transactions/1","doc":"List all transactions\n\n```\nFireblocksSdk.Api.Transaction.transactions([\n  status: :rejected, \n  sourceType: :vault_account,\n  sourceId: \"1\",\n  limit: 10\n])\n```\n\nOptions: \n* `:before` (`t:String.t/0`) - Unix timestamp in milliseconds. Returns only transactions created before the specified date\n\n* `:after` (`t:String.t/0`) - Unix timestamp in milliseconds. Returns only transactions created after the specified date\n\n* `:status`\n\n* `:orderBy`\n\n* `:limit` (`t:integer/0`)\n\n* `:txHash` (`t:String.t/0`)\n\n* `:assets` (`t:String.t/0`)\n\n* `:sourceType`\n\n* `:destType`\n\n* `:sourceId` (`t:String.t/0`)\n\n* `:destId` (`t:String.t/0`)","ref":"FireblocksSdk.Api.Transaction.html#transactions/1"},{"type":"function","title":"FireblocksSdk.Api.Transaction.unfreeze/2","doc":"Unfreezes a transaction by ID and makes the transaction available again.\n\n- `txId`: Fireblocks transaction id","ref":"FireblocksSdk.Api.Transaction.html#unfreeze/2"},{"type":"module","title":"FireblocksSdk.Api.User","doc":"","ref":"FireblocksSdk.Api.User.html"},{"type":"function","title":"FireblocksSdk.Api.User.users/0","doc":"Only work if API key has role Admin","ref":"FireblocksSdk.Api.User.html#users/0"},{"type":"module","title":"FireblocksSdk.Api.Vault","doc":"","ref":"FireblocksSdk.Api.Vault.html"},{"type":"function","title":"FireblocksSdk.Api.Vault.active/3","doc":"Initiates activation for a wallet in a vault account.","ref":"FireblocksSdk.Api.Vault.html#active/3"},{"type":"function","title":"FireblocksSdk.Api.Vault.create/2","doc":"Creates a new vault account with the requested name.\n```\nFireblocksSdk.Api.Vault.create([\n  name: \"MyVault\",\n  hiddenOnUI: false,\n  customerRefId: \"MyCustomerRefId\",\n  autoFuel: false\n])\n```\n\nOptions:\n* `:name` (`t:String.t/0`) - Required.\n\n* `:hiddenOnUI` (`t:boolean/0`) - The default value is `false`.\n\n* `:customerRefId` (`t:String.t/0`)\n\n* `:autoFuel` (`t:boolean/0`) - The default value is `true`.","ref":"FireblocksSdk.Api.Vault.html#create/2"},{"type":"function","title":"FireblocksSdk.Api.Vault.create_wallet/2","doc":"Creates a wallet for a specific asset in a vault account.\n\n```\nFireblocksSdk.Api.Vault.create_wallet([\n  vaultId: \"1\",\n  assetId: \"XLM\"\n])\n```\n\nOptions:\n* `:vaultId` (`t:String.t/0`) - Required.\n\n* `:assetId` (`t:String.t/0`) - Required.\n\n* `:eosAccountName` (`t:String.t/0`)","ref":"FireblocksSdk.Api.Vault.html#create_wallet/2"},{"type":"function","title":"FireblocksSdk.Api.Vault.get_deposit_addresses/2","doc":"Lists all addresses for specific asset of vault account.","ref":"FireblocksSdk.Api.Vault.html#get_deposit_addresses/2"},{"type":"function","title":"FireblocksSdk.Api.Vault.get_public_key_info/1","doc":"Gets the public key information based on derivation path and signing algorithm.\n\nOptions:\n* `:vaultId` (`t:String.t/0`)\n\n* `:assetId` (`t:String.t/0`)\n\n* `:addressId` (`t:String.t/0`)\n\n* `:change` (`t:String.t/0`)\n\n* `:derivationPath` (`t:String.t/0`) - Required.\n\n* `:algorithm` (`t:String.t/0`) - Required.\n\n* `:compressed` (`t:boolean/0`)","ref":"FireblocksSdk.Api.Vault.html#get_public_key_info/1"},{"type":"function","title":"FireblocksSdk.Api.Vault.get_utxo_max_spendable_amount/3","doc":"Get the maximum amount of a particular asset that can be spent in a single transaction from a specified vault account\n(UTXO assets only, with a limitation on number of inputs embedded).\n\nSend several transactions if you want to spend more than the maximum spendable amount.","ref":"FireblocksSdk.Api.Vault.html#get_utxo_max_spendable_amount/3"},{"type":"function","title":"FireblocksSdk.Api.Vault.get_utxo_unspent_inputs/2","doc":"Get UTXO unspent input information.","ref":"FireblocksSdk.Api.Vault.html#get_utxo_unspent_inputs/2"},{"type":"function","title":"FireblocksSdk.Api.Vault.get_vault_account_asset/2","doc":"Get the asset balance for a vault account.\n\n```\nFireblocksSdk.Api.Vault.get_vault_account_asset(\"1\", \"XLM\")\n```","ref":"FireblocksSdk.Api.Vault.html#get_vault_account_asset/2"},{"type":"function","title":"FireblocksSdk.Api.Vault.get_vault_account_by_id/1","doc":"Gets a single vault account\n\n- `vault_id`: Fireblock vault id","ref":"FireblocksSdk.Api.Vault.html#get_vault_account_by_id/1"},{"type":"function","title":"FireblocksSdk.Api.Vault.get_vault_accounts_with_page_info/1","doc":"Gets a list of vault accounts per page matching the given filter or path\n\n```\nFireblocksSdk.Api.Vault.get_vault_accounts_with_page_info([\n  namePrefix: \"Operations\",\n  assetId: \"ETH\",\n  limit: 30\n])\n```\n\nSupported options:\n* `:namePrefix` (`t:String.t/0`)\n\n* `:nameSuffix` (`t:String.t/0`)\n\n* `:minAmountThreshold` (`t:non_neg_integer/0`)\n\n* `:assetId` (`t:String.t/0`)\n\n* `:orderBy`\n\n* `:limit` (`t:non_neg_integer/0`)\n\n* `:before` (`t:String.t/0`)\n\n* `:after` (`t:String.t/0`)","ref":"FireblocksSdk.Api.Vault.html#get_vault_accounts_with_page_info/1"},{"type":"function","title":"FireblocksSdk.Api.Vault.get_vault_assets_balance/1","doc":"Gets the assets amount summary for all accounts or filtered accounts.\n\nSupported options:\n* `:accountNamePrefix` (`t:String.t/0`)\n\n* `:accountNameSuffic` (`t:String.t/0`)","ref":"FireblocksSdk.Api.Vault.html#get_vault_assets_balance/1"},{"type":"function","title":"FireblocksSdk.Api.Vault.hide/2","doc":"Hides the requested vault account from the web console view.","ref":"FireblocksSdk.Api.Vault.html#hide/2"},{"type":"function","title":"FireblocksSdk.Api.Vault.refresh_balance/3","doc":"Updates the balance of a specific asset in a vault account.","ref":"FireblocksSdk.Api.Vault.html#refresh_balance/3"},{"type":"function","title":"FireblocksSdk.Api.Vault.rename/3","doc":"Renames the requested vault account.","ref":"FireblocksSdk.Api.Vault.html#rename/3"},{"type":"function","title":"FireblocksSdk.Api.Vault.segwit_to_legacy/4","doc":"Converts an existing segwit address to the legacy format.","ref":"FireblocksSdk.Api.Vault.html#segwit_to_legacy/4"},{"type":"function","title":"FireblocksSdk.Api.Vault.set_auto_fuel/2","doc":"Sets the autofueling property of the vault account to enabled or disabled.\n\nOptions:\n* `:vaultId` (`t:String.t/0`) - Required.\n\n* `:autoFuel` (`t:boolean/0`) - Required. The default value is `true`.","ref":"FireblocksSdk.Api.Vault.html#set_auto_fuel/2"},{"type":"function","title":"FireblocksSdk.Api.Vault.set_customer_ref_id/2","doc":"Assigns an AML/KYT customer reference ID for the vault account.\n\n```\n# set customer reference on vault\nFireblocksSdk.Api.Vault.set_customer_ref_id([\n  vaultId: \"1\",\n  customerRefId: \"Customer#1\"\n])\n\n# set customer reference on vault asset\nFireblocksSdk.Api.Vault.set_customer_ref_id([\n  vaultId: \"1\",\n  assetId: \"ETH\",\n  customerRefId: \"Customer#1\"\n])\n```\n\nOptions:\n* `:vaultId` (`t:String.t/0`) - Required.\n\n* `:assetId` (`t:String.t/0`)\n\n* `:addressId` (`t:String.t/0`)\n\n* `:customerRefId` (`t:String.t/0`) - Required.","ref":"FireblocksSdk.Api.Vault.html#set_customer_ref_id/2"},{"type":"function","title":"FireblocksSdk.Api.Vault.unhide/2","doc":"Makes a hidden vault account visible in web console view.","ref":"FireblocksSdk.Api.Vault.html#unhide/2"},{"type":"function","title":"FireblocksSdk.Api.Vault.update_address_description/2","doc":"Updates the description of an existing address of an asset in a vault account.\n\nOptions:\n* `:vaultId` (`t:String.t/0`) - Required.\n\n* `:assetId` (`t:String.t/0`) - Required.\n\n* `:addressId` (`t:String.t/0`) - Required.\n\n* `:description` (`t:String.t/0`) - The default value is `\"\"`.","ref":"FireblocksSdk.Api.Vault.html#update_address_description/2"},{"type":"module","title":"FireblocksSdk.Api.Webhook","doc":"","ref":"FireblocksSdk.Api.Webhook.html"},{"type":"function","title":"FireblocksSdk.Api.Webhook.resend/1","doc":"Resends all failed webhook notifications.","ref":"FireblocksSdk.Api.Webhook.html#resend/1"},{"type":"function","title":"FireblocksSdk.Api.Webhook.resend/4","doc":"Resends failed webhook notifications for a transaction by ID.","ref":"FireblocksSdk.Api.Webhook.html#resend/4"},{"type":"extras","title":"Fireblocks SDK","doc":"# Fireblocks SDK\n\n**Un-official** Elixir [Fireblocks API](https://docs.fireblocks.com/api/swagger-ui) Client.","ref":"readme.html"},{"type":"extras","title":"Installation - Fireblocks SDK","doc":"Adding `fireblocks_sdk` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:fireblocks_sdk, \"~> 0.1.2\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Config - Fireblocks SDK","doc":"```elixir\nconfig :fireblocks_sdk,\n  apiKey: \"\",\n  apiSecret: \"\"\"\n  -----BEGIN RSA PRIVATE KEY-----\n  --api-secret-key-goes-here--\n  -----END RSA PRIVATE KEY-----\n  \"\"\"\n```","ref":"readme.html#config"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.1.0 - Changelog","doc":"- initial release","ref":"changelog.html#v0-1-0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}